
eTBM 3 - Feature #1818

Cases - Previous TB treatments

06/21/2016 09:30 PM - Ricardo Memoria

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 2.9.2 - Aug 22th, 2016 Spent time: 0.00 hour

Complexity:    

Description

Display/edit previous TB treatments of a case

History

#1 - 08/04/2016 12:46 PM - Maurício Dos Santos

- Status changed from New to In Progress

#2 - 08/04/2016 01:42 PM - Maurício Dos Santos

- Status changed from In Progress to New

#3 - 08/10/2016 02:07 AM - Maurício Dos Santos

- Status changed from New to Feedback

#4 - 08/10/2016 10:59 PM - Maurício Dos Santos

- Status changed from Feedback to In Progress

#5 - 08/11/2016 06:44 PM - Maurício Dos Santos

- Status changed from In Progress to New

#6 - 08/12/2016 02:36 PM - Maurício Dos Santos

- Assignee set to Ricardo Memoria

#7 - 08/17/2016 03:03 PM - Maurício Dos Santos

- Status changed from New to In Progress

#8 - 08/17/2016 06:29 PM - Maurício Dos Santos

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

#9 - 08/18/2016 10:51 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#10 - 08/18/2016 10:57 AM - Maurício Dos Santos

- Status changed from Resolved to In Progress

#11 - 08/18/2016 07:44 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#12 - 08/18/2016 07:49 PM - Maurício Dos Santos
O tipo 'select' do form está interpretando 0 como vazio, portanto não consegui começar a contar o mês do 0, tive que começar de 1 (como copiado

abaixo).

    { id: 1, name: 'Janeiro' },

    { id: 2, name: 'Fevereiro' },

    { id: 3, name: 'Março' },

    { id: 4, name: 'Abril' },

    { id: 5, name: 'Maio' },

    { id: 6, name: 'Junho' },

    { id: 7, name: 'Julho' },

    { id: 8, name: 'Agosto' },

    { id: 9, name: 'Setembro' },

    { id: 10, name: 'Outubro' },

    { id: 11, name: 'Novembro' },

    { id: 12, name: 'Dezembro' }

 

Ao manipular na validação e na exibição eu estou subtraindo para obter os valores corretos. Veja abaixo exemplos:

       moment([2000, item.outcomeMonth - 1, 1]).format('MMMM')

 

       Date iniDate = DateUtils.newDate(treat.getYear(), treat.getMonth() - 1, 1);

       Date endDate = DateUtils.newDate(treat.getOutcomeYear(), treat.getOutcomeMonth() - 1, 1);

 

Estou salvando o valor como vem so componente, sem subtrair. Ex: Janeiro é 1, Março é 3, Dezembro é 12, no banco de dados.

#13 - 08/18/2016 08:56 PM - Maurício Dos Santos

- Status changed from Resolved to In Progress
#14 - 08/18/2016 08:57 PM - Maurício Dos Santos

Implementar uma correção no SelectionBox para não considerar 0 como vazio.

Provavelmente é algum if(!value)

#15 - 08/18/2016 10:59 PM - Maurício Dos Santos

Ao fazer varias inclusões ocorre um erro na exibição. Atualizando a pagina resolve.

#16 - 08/18/2016 11:06 PM - Maurício Dos Santos

Falta resolver:

Ao fazer varias inclusões ocorre um erro na exibição. Atualizando a pagina resolve.

Ao editar o formulario abre com o titulo com se fosse edição, ao clicar em salvar (enquanto salva) o titulo fica como se fosse um novo prev. A

entidade é salva como se fosse uma edição.

#17 - 08/22/2016 09:18 AM - Maurício Dos Santos

"Ao fazer varias inclusões ocorre um erro na exibição. Atualizando a pagina resolve."

Só consegui reproduzir este compotamento com os prev tb treat

"Ao editar o formulario abre com o titulo com se fosse edição, ao clicar em salvar (enquanto salva) o titulo fica como se fosse um novo prev. A

entidade é salva como se fosse uma edição."

Esse comportamento é observado com todas as entidades que usam o CRUDView

#18 - 08/22/2016 10:44 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

"Ao fazer varias inclusões ocorre um erro na exibição. Atualizando a pagina resolve."

Resolvido parcialmente colocando o crudview para atualizar todos (refreshAll)

"Ao editar o formulario abre com o titulo com se fosse edição, ao clicar em salvar (enquanto salva) o titulo fica como se fosse um novo prev. A

entidade é salva como se fosse uma edição."

Criei uma nova tarefa

#19 - 08/22/2016 08:35 PM - Ricardo Memoria

- Status changed from Resolved to Closed
